@font-face {
    font-family: "GirlTalk";
    src: url("Fonts/GirlTalk.otf");
}

@font-face {
    font-family: "PinkLemon";
    src: url("Fonts/PinkLemon.otf");
}

@font-face {
    font-family: "Sunkissed";
    src: url("Fonts/Sunkissed.otf");
}

html {
    font-family: "Nunito Sans", sans-serif;
    font-weight: SemiBold;
    overscroll-behavior: none;
    background-color: #E26A8C;
}

#content-wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

h1 {
  font-family: "Sunkissed";
  font-weight: normal;
  font-size: 50pt;
  color: #126A7A;
  margin: 0;
}

p {
    font-size: 15pt;
    width: 85%;
}

h2 {
  font-family: "Sunkissed";
  font-weight: normal;
  font-size: 5vw;
  color: #FFFFFF;
  margin: 0;
}


body {
    background-color: #EEDADA;
    width: 100%;
    margin: 0;
    height: 100%;
    min-height: 100%;
}

.header {
    display: flex;
    width: 84%;
    height: 100%;
    justify-self: center;
    justify-content: center;
    padding-bottom: 15px;
    margin-top: 15px;
    align-items: center;
    background-color: #E86A8D;
    align-self: center;
}

.header img {
    width: 75%;
}

#banner-container {
    display: flex;
    justify-content: center;
}

a {
    text-decoration: none;
    color: #126A7A;
}

.menu-bar {
    background-color: #E86A8D;
    width: 84%;
    height: 10vh;
    display: flex;
    position: relative;
    justify-self: center;
    justify-content: center;
    align-items: center;
    margin-bottom: 5%;

}

.menu-bar a {
    text-decoration: none;
    color: #F3D0D0;
}

.menu-items {
    width: fit-content;
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center;
}

.menu-button {
    display: flex;
    transition: ease-in-out 0.25s;
    text-decoration: none;
    font-size: 20pt;
    margin: 40px;
}

.inactive-button {
    display: flex;
    transform: translateY(-5px);
    text-decoration: none;
    font-size: 20pt;
    margin: 40px;
}

.menu-button:hover {
    transform: translateY(-5px);
}

.selected-button {
    display: flex;
    transform: translateY(-5px);
    text-decoration: none;
}

.vertical-line {
    border-left: 2px solid #F3D0D0;
    height: 50px;                 
    display: inline-block;        
    vertical-align: middle; 
    align-self: center;
}

.main-content {
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: center;
    align-items: center;
    justify-self: center;
}

.content-box {
    display: flex;
    background-color:#F3D0D0;
    width: 84%;
    margin-bottom: 15px;
    padding-top: 2%;
    padding-bottom: 2%;
    justify-content: center;
    align-items: center;
}

.content-box img {
    max-width: 100%;
}

.content-box2 {
    display: flex;
    background-color:#E599A7;
    width: 84%;
    margin-bottom: 15px;
    padding-top: 2%;
    padding-bottom: 2%;
    justify-content: center;
    align-items: center;
}

.content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 95%;
}

.widget-container {
    width: 100%;
}

.vert-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 50%;
    max-width: fit-content;
}

#full-box {
    width: 100%;
    max-width: 100%;
}

#full-box h1 {
    padding: 10px;
    align-self: center;
}

.vert-box img {
    width: 35vw;
}

.vert-box .img-small {
    width: 18vw;
}

.vert-box p {
    width: 100%;
}

.content-box2 .vert-box {
    max-width: 60%;
}

#google-calendar {
    width: 50%;
    height: 500px;
    border: 0;
    min-width: 40vw;
}

.insta-container {
    align-self: center;
    justify-self: center;
    justify-content: center;
    align-items: center;
    width: 50%;
}

.instagram-media {
    display: flex; 
    flex-direction: row; 
    align-items: center;
    background:#FFF;
    border:0;
    border-radius:3px;
    box-shadow:0 0 1px 0 rgba(0,0,0,0.5),0 1px 10px 0 rgba(0,0,0,0.15);
    margin: 1px;
    max-width:540px;
    min-width:326px;
    padding:0;
    width:99.375%;
    width:-webkit-calc(100% - 2px);
    width:calc(100% - 2px);
}


.gr_custom_container_ {
    /* customize your Goodreads widget container here*/
    border: 1px solid gray;
    border-radius: 10px;
    padding: 10px 5px 10px 5px;
    background-color: #FFF;
    color: #000;
    width: 100%;
}

.gr_custom_header_ {
    /* customize your Goodreads header here*/
    border-bottom: 1px solid gray;
    width: 100%;
    margin-bottom: 5px;
    text-align: center;
    font-size: 120%
}

.gr_custom_each_container_ {
    /* customize each individual book container here */
    width: 100%;
    clear: both;
    margin-bottom: 10px;
    overflow: auto;
    padding-bottom: 4px;
    border-bottom: 1px solid #aaa;
}

.gr_custom_book_container_ {
    /* customize your book covers here */
    overflow: hidden;
    height: 60px;
    float: left;
    margin-right: 4px;
    width: 39px;
}

.gr_custom_author_ {
    /* customize your author names here */
    font-size: 10px;
}

.gr_custom_tags_ {
    /* customize your tags here */
    font-size: 10px;
    color: gray;
}

.gr_custom_rating_ {
    /* customize your rating stars here */
    float: right;
}

.gr_custom_rating_ img {
    width: 10px;
}

.nav-button {
    font-family: "PinkLemon";
    background-color: #126A7A;
    
    color: #FFFFFF;
    transition: ease-in-out 0.25s;
    border-radius: 15px;
    font-size: 30pt;
    width: fit-content;
    padding-top: 1.5%;
    padding-bottom: 1.5%;
    padding-left: 8%;
    padding-right: 8%;
    margin-top: 1%;
    cursor: pointer;
}

.frame {
    background-color: #FFF0F5;
    padding: 15px;
    border-radius: 25px;
    width: 75%;
}

.nav-button:hover {
    transform: translateY(-5px);
}

.text-box {
    width: 84%;
}

.text-box p {
    width: 100%;
    padding-left: 2%;
}

.footer {
    display: flex;
    background-color: #E26A8C;
    width: 84%;
    margin-top: 1%;
    justify-content: space-between;
    justify-self: center;
    align-self: center;
}

.footer p {
    color: #FFFFFF;
    width: fit-content;
    padding-left: 2%;
    align-self: center;
    white-space: nowrap;
    margin-left: 10px;
    margin-right: 10px;
}

.footer-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.social-bar {
    width: 50%;
    display: flex;
    justify-content: right;
    padding-right: 2%;
}

.social-bar img {
    width: 45px;
    height: 45px;
    align-self: center;
    margin-left: 2%;
    margin-right: 2%;
}

.social-bar p {
    align-self: center;
    margin-right: 1%;
}

.social-bar button {
    all: unset;
    cursor: pointer;
    margin-right: 10px;
}

.social-buttons {
    align-content: center;
}

@media screen and (max-width: 1000px) {

    .header {
        width: 100%;
        margin-top: 0;
    }

    .menu-bar {
        display: flex;
        width: 100%;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .menu-bar a {
        font-size: 20pt;
    }

    .menu-items {
        width: 100%;
    }

    .header img {
        width: 100%;
    }

    .vert-box {
        width: 100%;
        max-width: none;
        padding-bottom: 10%;
        height: 50%;
        justify-content: center;
        align-items: center;
    }

    .content img {
        min-width: 500px;
        width: 100%;
    }

    #google-calendar {
        width: 100%;
        height: 50vh;
    }

    .gr_custom_container_ {
        font-size: 32pt;
    }

    .gr_custom_author_ {
        font-size: 32pt;   
    }

    .gr_custom_book_container_ {
        width: 100px;
        height: 150px;
    }

    .gr_custom_book_container_ img {
        min-width: 20px;
        width: 100%;
        height: 100%;
    }

    .gr_custom_rating_ img {
        min-width: 50px;
        max-width: 50px;   
    }
    
    .insta-container {
        width: 100%;
        align-items: center;
        justify-content: center;
        display: flex;
        height: 100%;
    }

    .instagram-media {
        max-width: none;
        font-size: 25pt;
    }
    
    .content-box {
        width: 100%;
    }

    .content-box2 {
        width: 100%;
    }
    
    .content-box2 .vert-box {
        width: 100%;
        max-width: 100%;
    }

    .content {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    .footer {
        width: 100%;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    p {
        font-size: 32pt;
    }

    h1 {
        font-size: 75pt;
    }

    h2 {
        font-size: 75pt;
    }

    .social-bar {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 0;
    }

    .social-bar img {
        min-width: 75px;
        min-height: 75px;
    }

    .social-bar p {
        padding: 0;
        margin: 0;
        margin-bottom: 2%;
    }

    .social-buttons {
        align-items: center;
        justify-content: center;
    }

    .nav-button {
        font-size: 50pt;
    }
}   